org.apache.ignite.internal.util.typedef

## Class CAX

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridAbsClosure
  - - org.apache.ignite.internal.util.lang.GridAbsClosureX
    - - org.apache.ignite.internal.util.typedef.CAX

All Implemented Interfaces:
  Serializable, Runnable, IgniteRunnable

    public abstract class CAX
    extends GridAbsClosureX

Defines `alias` for `GridAbsClosureX` by extending it. Since Java doesn't provide type aliases (like Scala, for example) we resort to these types of measures. This is intended to provide for more concise code in cases when readability won't be sacrificed. For more information see `GridAbsClosureX`.

See Also:
  `GridFunc`, `GridAbsClosureX`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CAX()`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.util.lang.GridAbsClosureX

`apply, applyx`

### Methods inherited from class org.apache.ignite.internal.util.lang.GridAbsClosure

`run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CAX

    public CAX()

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015